\name{createsitepair}
\alias{createsitepair}
%- Also NEED an '\alias' for EACH other topic documented here.
\title{
Creates Site-Pair Table
}
\description{
Takes the lower half of a site-site distance(dissimilarity) matrix and creates the site-pair table. This function is called from the formatgdmData function and should not need to be used directly by the user.
}
\usage{
createsitepair(dist, spdata, envInfo, dXCol, dYCol, siteCol, predMatrices, weightsType, custWeights)
}
%- maybe also 'usage' for other objects documented here.
\arguments{
  \item{dist}{
The lower half of a site-site distance(dissimilarity) matrix, provided by the formatgdmData function.
}
  \item{spdata}{
Input species data, the same as the bioData input to the formatgdmData function.
}
  \item{envInfo}{
Input environmental data, the same as the predData input to the formatgdmData function.
}
  \item{dXCol}{
Input x coordinate, the same as the XColumn input to the formatgdmData function.
}
  \item{dYCol}{
Input y coordinate, the same as the YColumn input to the formatgdmData function.
}
  \item{siteCol}{
site column, taken from either the species or environmental tables
}
  \item{predMatrices}{
Prediction matrices to be added to the site-pair table
}
  \item{weightsType}{
the method of determining the site-pair weights
}
  \item{custWeights}{
custom wieghts, as a vector, if given
}
}
\details{

}
\value{
A site-pair table with appropriate distance(dissimilarity) and weight columns used for farther GDM analysis.
}
\references{
%% ~put references to the literature/web site here ~
}
\author{
Matthew Fitzpatrick <mfitzpatrick@al.umces.edu>, Matthew Lisk <mlisk@al.umces.edu>, others
}
\note{
This function is called from the gdm.formatsitepair function, and the user should not need to access directly.
}

%% ~Make other sections like Warning with \section{Warning }{....} ~

\seealso{
%% ~~objects to See Also as \code{\link{help}}, ~~~
}
\examples{

}
% Add one or more standard keywords, see file 'KEYWORDS' in the
% R documentation directory.
\keyword{ gdm }
\keyword{ internal }
