\name{gdm.transform}
\alias{gdm.transform}
%- Also NEED an '\alias' for EACH other topic documented here.
\title{
Transforming Predictor Data Using A Generalized Dissimilarity Model
}
\description{
This function transforms a table of geographic and environmental predictors using the results of a model object
             returned from gdm and a data frame environmental data for a set of sites formatted as follows:
             X0,Y0,Pred1,Pred2,...,PredN is Geographic distance is used as a predictor otherwise Pred1,Pred2,...,PredN
}
\usage{
gdm.transform(model, data)
}
%- maybe also 'usage' for other objects documented here.
\arguments{
  \item{model}{
a gdm object resulting from a call to gdm
}
  \item{data}{
a data frame representing a set of sites with the X and Y values in
             the first two columns if the model uses geographic distance as a predictor.
             The predictor values follow. Note that the order of the predictor columns
             MUST be the same as the order of the predictors in the model.
}
}
\details{
%%  ~~ If necessary, more details than the description above ~~
}
\value{
gdm.transform returns a data frame with the same number of rows as the input data frame.
If the model uses geographic distance as a predictor the output table will have the first and 
second columns set to the transformed X and Y values from each site in the input table.
The transformed predictor data will be in the following columns.
}
\references{
%% ~put references to the literature/web site here ~
}
\author{
Glenn Manion
}
\note{
%%  ~~further notes~~
}

%% ~Make other sections like Warning with \section{Warning }{....} ~

\seealso{
%% ~~objects to See Also as \code{\link{help}}, ~~~
}
\examples{

}
% Add one or more standard keywords, see file 'KEYWORDS' in the
% R documentation directory.
\keyword{ gdm }
