\name{plot.gdm}
\alias{plot.gdm}
%- Also NEED an '\alias' for EACH other topic documented here.
\title{
Plotting Generalized Dissimilarity Models
}
\description{
plot is used to plot a generalized dissimilarity model, specified by giving a gdm object.
}
\usage{
plot.gdm(model, plot.layout = c(2, 2), plot.color = rgb(0, 0, 1), plot.linewidth = 2)
}
%- maybe also 'usage' for other objects documented here.
\arguments{
  \item{model}{
A gdm object.
}
  \item{plot.layout}{
This sets the row and column layout for the predictor plots. Default is 2 rows by 2 columns. 
To produce one predictor plot per page set plot.layout to c(1,1). The overall model plots are always produced on a single page each 
i.e. a single page plot of the raw prediction against the observed response data and a single page plot of the predicted data after 
applying the link function of 1.0 - exp(-y).  
This layout parameter only affects the layout of the respective plot for those predictors that had featured in the model fitting process.
}
  \item{plot.color}{
An RGB vector describing the color of the data points that are plotted for the overall plots. The default is blue (rgb(0.0,0.0,1.0).
}
  \item{plot.linewidth}{
A value describing the desired linewidth for the regression over-plotted in the two overall plots to optimise the display of the regression line over the data points.
}
}
\details{
%%  ~~ If necessary, more details than the description above ~~
}
\value{
plot returns NULL. 
use summary to obtain or print a summary of the model object.
}
\references{
%% ~put references to the literature/web site here ~
}
\author{
Glenn Manion
}
\note{
%%  ~~further notes~~
}

%% ~Make other sections like Warning with \section{Warning }{....} ~

\seealso{
%% ~~objects to See Also as \code{\link{help}}, ~~~
}
\examples{

}
% Add one or more standard keywords, see file 'KEYWORDS' in the
% R documentation directory.
\keyword{ gdm }
